Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2978 in orxonox.OLD for orxonox


Ignore:
Timestamp:
Nov 24, 2004, 2:31:17 PM (20 years ago)
Author:
bensch
Message:

orxonox/branches/osX: now compiles on Macintosh

Location:
orxonox/branches/osX
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/osX/Makefile.in

    r2819 r2978  
    3838        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
    3939        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
    40         depcomp install-sh missing mkinstalldirs
     40        TODO depcomp install-sh missing mkinstalldirs
    4141ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    4242am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  • orxonox/branches/osX/config.h.in

    r2627 r2978  
    3131/* Define to 1 if you have the <memory.h> header file. */
    3232#undef HAVE_MEMORY_H
     33
     34/* Define to 1 if you have the <OpenGL/glu.h> header file. */
     35#undef HAVE_OPENGL_GLU_H
     36
     37/* Define to 1 if you have the <OpenGL/gl.h> header file. */
     38#undef HAVE_OPENGL_GL_H
    3339
    3440/* Define to 1 if you have the <SDL/SDL.h> header file. */
  • orxonox/branches/osX/configure

    r2977 r2978  
    55635563
    55645564    ;;
     5565
     5566### OS X ###
     5567 *Darwin*)
     5568echo "OS X detected"
     5569
     5570 osX="yes"
     5571
     5572# checking gl header
     5573
     5574for ac_header in OpenGL/gl.h
     5575do
     5576as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5577if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5578  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5579echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5580if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5581  echo $ECHO_N "(cached) $ECHO_C" >&6
     5582fi
     5583echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5584echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5585else
     5586  # Is the header compilable?
     5587echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5588echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5589cat >conftest.$ac_ext <<_ACEOF
     5590/* confdefs.h.  */
     5591_ACEOF
     5592cat confdefs.h >>conftest.$ac_ext
     5593cat >>conftest.$ac_ext <<_ACEOF
     5594/* end confdefs.h.  */
     5595$ac_includes_default
     5596#include <$ac_header>
     5597_ACEOF
     5598rm -f conftest.$ac_objext
     5599if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5600  (eval $ac_compile) 2>conftest.er1
     5601  ac_status=$?
     5602  grep -v '^ *+' conftest.er1 >conftest.err
     5603  rm -f conftest.er1
     5604  cat conftest.err >&5
     5605  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5606  (exit $ac_status); } &&
     5607         { ac_try='test -z "$ac_c_werror_flag"
     5608                         || test ! -s conftest.err'
     5609  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5610  (eval $ac_try) 2>&5
     5611  ac_status=$?
     5612  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5613  (exit $ac_status); }; } &&
     5614         { ac_try='test -s conftest.$ac_objext'
     5615  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5616  (eval $ac_try) 2>&5
     5617  ac_status=$?
     5618  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5619  (exit $ac_status); }; }; then
     5620  ac_header_compiler=yes
     5621else
     5622  echo "$as_me: failed program was:" >&5
     5623sed 's/^/| /' conftest.$ac_ext >&5
     5624
     5625ac_header_compiler=no
     5626fi
     5627rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5628echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5629echo "${ECHO_T}$ac_header_compiler" >&6
     5630
     5631# Is the header present?
     5632echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5633echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5634cat >conftest.$ac_ext <<_ACEOF
     5635/* confdefs.h.  */
     5636_ACEOF
     5637cat confdefs.h >>conftest.$ac_ext
     5638cat >>conftest.$ac_ext <<_ACEOF
     5639/* end confdefs.h.  */
     5640#include <$ac_header>
     5641_ACEOF
     5642if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5643  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5644  ac_status=$?
     5645  grep -v '^ *+' conftest.er1 >conftest.err
     5646  rm -f conftest.er1
     5647  cat conftest.err >&5
     5648  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5649  (exit $ac_status); } >/dev/null; then
     5650  if test -s conftest.err; then
     5651    ac_cpp_err=$ac_c_preproc_warn_flag
     5652    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5653  else
     5654    ac_cpp_err=
     5655  fi
     5656else
     5657  ac_cpp_err=yes
     5658fi
     5659if test -z "$ac_cpp_err"; then
     5660  ac_header_preproc=yes
     5661else
     5662  echo "$as_me: failed program was:" >&5
     5663sed 's/^/| /' conftest.$ac_ext >&5
     5664
     5665  ac_header_preproc=no
     5666fi
     5667rm -f conftest.err conftest.$ac_ext
     5668echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5669echo "${ECHO_T}$ac_header_preproc" >&6
     5670
     5671# So?  What about this header?
     5672case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5673  yes:no: )
     5674    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5675echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5676    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5677echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5678    ac_header_preproc=yes
     5679    ;;
     5680  no:yes:* )
     5681    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5682echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5683    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5684echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5685    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5686echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5687    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5688echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5689    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5690echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5691    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5692echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5693    (
     5694      cat <<\_ASBOX
     5695## ------------------------------------------- ##
     5696## Report this to orxonox-dev@mail.datacore.ch ##
     5697## ------------------------------------------- ##
     5698_ASBOX
     5699    ) |
     5700      sed "s/^/$as_me: WARNING:     /" >&2
     5701    ;;
     5702esac
     5703echo "$as_me:$LINENO: checking for $ac_header" >&5
     5704echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5705if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5706  echo $ECHO_N "(cached) $ECHO_C" >&6
     5707else
     5708  eval "$as_ac_Header=\$ac_header_preproc"
     5709fi
     5710echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5711echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5712
     5713fi
     5714if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5715  cat >>confdefs.h <<_ACEOF
     5716#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5717_ACEOF
     5718
     5719else
     5720  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5721echo "$as_me: error: cannot find opengl headers" >&2;}
     5722   { (exit 1); exit 1; }; }
     5723fi
     5724
     5725done
     5726
     5727# cheking for GLU-header
     5728
     5729for ac_header in OpenGL/glu.h
     5730do
     5731as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5732if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5733  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5734echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5735if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5736  echo $ECHO_N "(cached) $ECHO_C" >&6
     5737fi
     5738echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5739echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5740else
     5741  # Is the header compilable?
     5742echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5743echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5744cat >conftest.$ac_ext <<_ACEOF
     5745/* confdefs.h.  */
     5746_ACEOF
     5747cat confdefs.h >>conftest.$ac_ext
     5748cat >>conftest.$ac_ext <<_ACEOF
     5749/* end confdefs.h.  */
     5750$ac_includes_default
     5751#include <$ac_header>
     5752_ACEOF
     5753rm -f conftest.$ac_objext
     5754if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5755  (eval $ac_compile) 2>conftest.er1
     5756  ac_status=$?
     5757  grep -v '^ *+' conftest.er1 >conftest.err
     5758  rm -f conftest.er1
     5759  cat conftest.err >&5
     5760  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5761  (exit $ac_status); } &&
     5762         { ac_try='test -z "$ac_c_werror_flag"
     5763                         || test ! -s conftest.err'
     5764  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5765  (eval $ac_try) 2>&5
     5766  ac_status=$?
     5767  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5768  (exit $ac_status); }; } &&
     5769         { ac_try='test -s conftest.$ac_objext'
     5770  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5771  (eval $ac_try) 2>&5
     5772  ac_status=$?
     5773  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5774  (exit $ac_status); }; }; then
     5775  ac_header_compiler=yes
     5776else
     5777  echo "$as_me: failed program was:" >&5
     5778sed 's/^/| /' conftest.$ac_ext >&5
     5779
     5780ac_header_compiler=no
     5781fi
     5782rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5783echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5784echo "${ECHO_T}$ac_header_compiler" >&6
     5785
     5786# Is the header present?
     5787echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5788echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5789cat >conftest.$ac_ext <<_ACEOF
     5790/* confdefs.h.  */
     5791_ACEOF
     5792cat confdefs.h >>conftest.$ac_ext
     5793cat >>conftest.$ac_ext <<_ACEOF
     5794/* end confdefs.h.  */
     5795#include <$ac_header>
     5796_ACEOF
     5797if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5798  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5799  ac_status=$?
     5800  grep -v '^ *+' conftest.er1 >conftest.err
     5801  rm -f conftest.er1
     5802  cat conftest.err >&5
     5803  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5804  (exit $ac_status); } >/dev/null; then
     5805  if test -s conftest.err; then
     5806    ac_cpp_err=$ac_c_preproc_warn_flag
     5807    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5808  else
     5809    ac_cpp_err=
     5810  fi
     5811else
     5812  ac_cpp_err=yes
     5813fi
     5814if test -z "$ac_cpp_err"; then
     5815  ac_header_preproc=yes
     5816else
     5817  echo "$as_me: failed program was:" >&5
     5818sed 's/^/| /' conftest.$ac_ext >&5
     5819
     5820  ac_header_preproc=no
     5821fi
     5822rm -f conftest.err conftest.$ac_ext
     5823echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5824echo "${ECHO_T}$ac_header_preproc" >&6
     5825
     5826# So?  What about this header?
     5827case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5828  yes:no: )
     5829    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5830echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5831    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5832echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5833    ac_header_preproc=yes
     5834    ;;
     5835  no:yes:* )
     5836    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5837echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5838    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5839echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5840    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5841echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5842    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5843echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5844    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5845echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5846    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5847echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5848    (
     5849      cat <<\_ASBOX
     5850## ------------------------------------------- ##
     5851## Report this to orxonox-dev@mail.datacore.ch ##
     5852## ------------------------------------------- ##
     5853_ASBOX
     5854    ) |
     5855      sed "s/^/$as_me: WARNING:     /" >&2
     5856    ;;
     5857esac
     5858echo "$as_me:$LINENO: checking for $ac_header" >&5
     5859echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5860if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5861  echo $ECHO_N "(cached) $ECHO_C" >&6
     5862else
     5863  eval "$as_ac_Header=\$ac_header_preproc"
     5864fi
     5865echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5866echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5867
     5868fi
     5869if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5870  cat >>confdefs.h <<_ACEOF
     5871#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5872_ACEOF
     5873
     5874else
     5875  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5876echo "$as_me: error: cannot find opengl headers" >&2;}
     5877   { (exit 1); exit 1; }; }
     5878fi
     5879
     5880done
     5881
     5882
     5883   LIBS="$LIBS -framework OpenGL"
     5884
     5885# checking for SDL-headers
     5886
     5887for ac_header in SDL/SDL.h
     5888do
     5889as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5890if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5891  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5892echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5893if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5894  echo $ECHO_N "(cached) $ECHO_C" >&6
     5895fi
     5896echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5897echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5898else
     5899  # Is the header compilable?
     5900echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5901echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5902cat >conftest.$ac_ext <<_ACEOF
     5903/* confdefs.h.  */
     5904_ACEOF
     5905cat confdefs.h >>conftest.$ac_ext
     5906cat >>conftest.$ac_ext <<_ACEOF
     5907/* end confdefs.h.  */
     5908$ac_includes_default
     5909#include <$ac_header>
     5910_ACEOF
     5911rm -f conftest.$ac_objext
     5912if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5913  (eval $ac_compile) 2>conftest.er1
     5914  ac_status=$?
     5915  grep -v '^ *+' conftest.er1 >conftest.err
     5916  rm -f conftest.er1
     5917  cat conftest.err >&5
     5918  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5919  (exit $ac_status); } &&
     5920         { ac_try='test -z "$ac_c_werror_flag"
     5921                         || test ! -s conftest.err'
     5922  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5923  (eval $ac_try) 2>&5
     5924  ac_status=$?
     5925  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5926  (exit $ac_status); }; } &&
     5927         { ac_try='test -s conftest.$ac_objext'
     5928  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5929  (eval $ac_try) 2>&5
     5930  ac_status=$?
     5931  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5932  (exit $ac_status); }; }; then
     5933  ac_header_compiler=yes
     5934else
     5935  echo "$as_me: failed program was:" >&5
     5936sed 's/^/| /' conftest.$ac_ext >&5
     5937
     5938ac_header_compiler=no
     5939fi
     5940rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5941echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5942echo "${ECHO_T}$ac_header_compiler" >&6
     5943
     5944# Is the header present?
     5945echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5946echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5947cat >conftest.$ac_ext <<_ACEOF
     5948/* confdefs.h.  */
     5949_ACEOF
     5950cat confdefs.h >>conftest.$ac_ext
     5951cat >>conftest.$ac_ext <<_ACEOF
     5952/* end confdefs.h.  */
     5953#include <$ac_header>
     5954_ACEOF
     5955if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5956  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5957  ac_status=$?
     5958  grep -v '^ *+' conftest.er1 >conftest.err
     5959  rm -f conftest.er1
     5960  cat conftest.err >&5
     5961  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5962  (exit $ac_status); } >/dev/null; then
     5963  if test -s conftest.err; then
     5964    ac_cpp_err=$ac_c_preproc_warn_flag
     5965    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5966  else
     5967    ac_cpp_err=
     5968  fi
     5969else
     5970  ac_cpp_err=yes
     5971fi
     5972if test -z "$ac_cpp_err"; then
     5973  ac_header_preproc=yes
     5974else
     5975  echo "$as_me: failed program was:" >&5
     5976sed 's/^/| /' conftest.$ac_ext >&5
     5977
     5978  ac_header_preproc=no
     5979fi
     5980rm -f conftest.err conftest.$ac_ext
     5981echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5982echo "${ECHO_T}$ac_header_preproc" >&6
     5983
     5984# So?  What about this header?
     5985case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5986  yes:no: )
     5987    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5988echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5989    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5990echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5991    ac_header_preproc=yes
     5992    ;;
     5993  no:yes:* )
     5994    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5995echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5996    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5997echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5998    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5999echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6000    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6001echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6002    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6003echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6004    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6005echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6006    (
     6007      cat <<\_ASBOX
     6008## ------------------------------------------- ##
     6009## Report this to orxonox-dev@mail.datacore.ch ##
     6010## ------------------------------------------- ##
     6011_ASBOX
     6012    ) |
     6013      sed "s/^/$as_me: WARNING:     /" >&2
     6014    ;;
     6015esac
     6016echo "$as_me:$LINENO: checking for $ac_header" >&5
     6017echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6018if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6019  echo $ECHO_N "(cached) $ECHO_C" >&6
     6020else
     6021  eval "$as_ac_Header=\$ac_header_preproc"
     6022fi
     6023echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6024echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6025
     6026fi
     6027if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6028  cat >>confdefs.h <<_ACEOF
     6029#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6030_ACEOF
     6031
     6032else
     6033  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     6034echo "$as_me: error: cannot find SDL headers" >&2;}
     6035   { (exit 1); exit 1; }; }
     6036fi
     6037
     6038done
     6039
     6040
     6041 LIBS="$LIBS -L/sw/lib -lSDLmain -lSDL -framework Cocoa"
     6042
     6043  ;;
     6044
    55656045  *)
    55666046    mingw="no"
  • orxonox/branches/osX/configure.ac

    r2977 r2978  
    157157      AC_CHECK_LIB([Xt], [main])
    158158    ;;
     159
     160### OS X ###
     161 *Darwin*)
     162echo "OS X detected"
     163
     164 osX="yes"
     165
     166# checking gl header
     167   AC_CHECK_HEADERS(OpenGL/gl.h ,,
     168      [AC_MSG_ERROR([cannot find opengl headers]) ])
     169# cheking for GLU-header
     170    AC_CHECK_HEADERS(OpenGL/glu.h ,,
     171      [AC_MSG_ERROR([cannot find opengl headers]) ])
     172
     173   LIBS="$LIBS -framework OpenGL"
     174
     175# checking for SDL-headers
     176    AC_CHECK_HEADERS(SDL/SDL.h ,,
     177      [AC_MSG_ERROR([cannot find SDL headers]) ])
     178
     179 LIBS="$LIBS -L/sw/lib -lSDLmain -lSDL -framework Cocoa"
     180
     181  ;;
     182
    159183  *)
    160184    mingw="no"
  • orxonox/branches/osX/importer/Makefile.in

    r2977 r2978  
    4141subdir = importer
    4242DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
    43         $(srcdir)/Makefile.in
     43        $(srcdir)/Makefile.in TODO
    4444ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    4545am__aclocal_m4_deps = $(top_srcdir)/configure.ac
Note: See TracChangeset for help on using the changeset viewer.